#pragma once

#include "communication/SocketException.h"

class SocketDisconnectionException : public SocketException
{
public:

    SocketDisconnectionException(const AgString &message) : SocketException(message) {}
    SocketDisconnectionException(const AgString &message, const AgString &details) : SocketException(message, details) {}
};
